#!/bin/sh

name="shfs"
title="SHFS"
package="shfs"
version="0.31_1"
build="1"
noarch="n"
build_info="Standard build."

info="Mounts remote directories using a shell connection."
desc="SHFS (sshfs) is a simple and easy-to-use Linux 2.4
kernel module which allows you to mount remote
filesystems using a plain shell (ssh/rsh) connection.
It supports some nice features like number of
different caches for access speedup, target system
optimizations, etc."
category="system/userfs"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="COPYING,Changelog,COPYRIGHT,TODO,docs/html"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://unc.dl.sourceforge.net/sourceforge/$name/$name-`echo $version | tr _ -`.tar.gz

apply_patch nochown
apply_patch mntdir

install_option ROOT=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_make
do_install

gzip -9 $pkg_main/lib/modules/*/kernel/fs/shfs/*.o
mkdir -p $pkg_main/usr/man/man8
cp docs/manpages/*.8 $pkg_main/usr/man/man8

# For now, we are resigning from am-utils support.
rm -rf $pkg_main/etc $pkg_main/mnt

make_docs

make_package main

clean_up

# $Log: shfs.builder,v $
# Revision 1.2  2003/06/20 14:24:18  swiergot
# - Build 1.
#
# Revision 1.1  2003/06/20 14:07:35  swiergot
# - Initial release.
# - Version 0.31-1.
#
